#!/usr/bin/python
# -*- coding: utf-8 -*-
# @version        : 1.0
# @Create Time    : 2025/04/03 10:32
# @File           : project_train.py
# @IDE            : PyCharm
# @desc           : 项目巡逻片信息

from fastapi import Depends, Query
from core.dependencies import Paging, QueryParams


class ProjectTrainParams(QueryParams):
    def __init__(
            self,
            project_id: int | 0 = Query(0, title="项目id"),
            params: Paging = Depends()
    ):
        super().__init__(params)
        self.project_id = project_id
